<script setup>
import { useStore } from "vuex";
import { computed } from "vue";
import { onMounted } from 'vue';
import router from '../router';


const store = useStore();

onMounted(async () => {
    await store.dispatch("fetchQuestions")
})

const questions = computed(() => store.state.questions)
// questions = to response.results

const onCompleteQuiz = () => {
    router.push("/result")
}
</script>

<template>
    <main class="container mx-auto px-4">
        <h1 class="text-4xl mb-3">Quiz</h1>

        <fieldset class="mb-3">
            <label id="category" class="block mb-3">General Knowledge</label>
        </fieldset>
        <fieldset class="mb-3">
            <p>What is the first book of the Old Testament?</p>
        </fieldset>
        <fieldset class="mb-3">
            <p>Difficulty: Easy</p>
        </fieldset>
        <fieldset class="mb-3">
            <input type="radio" id="correct" value="Genesis"/>
            <label for="genesis">Genesis</label>
            <br>
            <input type="radio" value="Exodus"/>
            <label for="exodus">Exodus</label>
            <br>
            <input type="radio" value="Leviticus"/>
            <label for="leviticus">Leviticus</label>
            <br>
            <input type="radio" value="Numbers"/>
            <label for="number">Numbers</label>    
        </fieldset>


        <fieldset class="mb-3">
            <label id="category" class="block mb-3">Entertainment: Television</label>
        </fieldset>
        <fieldset class="mb-3">
            <p>Who is the star of the AMC series Breaking Bad?</p>
        </fieldset>
        <fieldset class="mb-3">
            <p>Difficulty: Easy</p>
        </fieldset>
        <fieldset class="mb-3">
            <input type="radio" value="Saul"/>
            <label for="saul">Saul Goodman</label>
            <br>
            <input type="radio" id="correct" value="Walter"/>
            <label for="walter">Walter White</label>
            <br>
            <input type="radio" value="Jesse"/>
            <label for="jesse">Jesse Pinkman</label>
            <br>
            <input type="radio" value="Skyler"/>
            <label for="skyler">Skyler White</label>    
        </fieldset>


        <fieldset class="mb-3">
            <label id="category" class="block mb-3">Geography</label>
        </fieldset>
        <fieldset class="mb-3">
            <p>Which is the largest city in Morocco?</p>
        </fieldset>
        <fieldset class="mb-3">
            <p>Difficulty: Medium</p>
        </fieldset>
        <fieldset class="mb-3">
            <input type="radio" value="Sale"/>
            <label for="sale">Sale</label>
            <br>
            <input type="radio" value="Fes"/>
            <label for="fes">Fes</label>    
            <br>
            <input type="radio" value="Rabat"/>
            <label for="rabat">Rabat</label>
            <br>
            <input type="radio" id="correct" value="Casablanca"/>
            <label for="casablanca">Casablanca</label>
        </fieldset>


        <fieldset class="mb-3">
            <label id="category" class="block mb-3">General Knowledge</label>
        </fieldset>
        <fieldset class="mb-3">
            <p>Which language is NOT Indo-European?</p>
        </fieldset>
        <fieldset class="mb-3">
            <p>Difficulty: Medium</p>
        </fieldset>
        <fieldset class="mb-3">
            <input type="radio" value="Latvian"/>
            <label for="latvian">Latvian</label>
            <br>
            <input type="radio" value="Greek"/>
            <label for="greek">Greek</label>    
            <br>
            <input type="radio" id="correct" value="Hungarian"/>
            <label for="hungarian">Hungarian</label>
            <br>
            <input type="radio" value="Russian"/>
            <label for="russian">Russian</label>
        </fieldset>


        <button @click="onCompleteQuiz" type="button" class="block bg-slate-600 text-white p-2 rounded mb-3 mt-4">Complete Quiz</button>
    </main>
</template>